﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO;
using Infragistics.Win.AppStyling;
using Infragistics.Win;

namespace AppStylistSample
{
    public partial class Form1 : Form
    {       
        private static string _StylePath = @"..\..\LabelStyleSet.isl";

        #region Property : StylePath      
        public static string StylePath
        {
            get { return _StylePath; }
            set { _StylePath = value; }
        }
        #endregion

        #region Ctor
        public Form1()
        {
            InitializeComponent();
        }
        #endregion

        private void Form1_Load(object sender, EventArgs e)
        {
            Infragistics.Win.AppStyling.StyleManager.Load(StylePath);
        }

        #region ListBoxEvent : ValueChanged
        //Change the StyleSetName of the control depending on the value selected from listbox.
        private void listBox1_SelectedValueChanged(object sender, EventArgs e)
        {            
            this.ultraLabel1.StyleSetName = listBox1.SelectedItem as string;
        }
        #endregion
    }
}
